🌘

喔优秀. Wow! Excellent!

「Utilities」Nonce Regulator for iPad Pro (10.5 inch, Cellular)

EDIT DATE: 2022-07-18
Use irecovery from Homebrew

EDIT DATE: 2022-06-13
Fix the problem presented by GitHub user xrotorhead

The materials contained in this web site are for information purposes only. I expressly disclaim all liability to any person in respect of anything and in respect of the consequences of anything done or omitted to be done wholly or partly in reliance upon the whole or any part of the contents of this web site. I am not responsible for any third party contents which can be accessed through this web site.

A nonce setter for iPad Pro 10.5 inch (model Identifier: iPad7,4) which is compatible with checkm8, was modified from MatthewPierson/checkm8-nonce-setter.


iOS version doesn’t matter. If your device model is iPad7,4 then you can set your nonce and downgrade. This script is macOS only.

Download

Instructions

  1. Download and unzip iPadPro_10.5-inch_Cellular_NonceRegulator_v3.zip
  2. Open Terminal.app
  3. Drag and drop "main.sh" to the Terminal window
  4. Press Enter

Thats it. The script will tell you what to do.

Notes

You may need ldid or libirecovery installed via Homebrew for this to work. There shouldn’t be any other dependencies

After setting nonce with this, you can FutureRestore with the shsh you used during the script.
Keep in mind SEP and Baseband both need to be compatible with the version you are trying to downgrade to. This script doesn’t change that, only allows you to set your nonce without being jailbroken.

However, this will be useless for downgrading when some iOS 15.4+ SEP&Baseband is not compatible with iOS 14, but someone may find other use for it.

Support only:

iPad Pro (10.5 Inch) (Wi-Fi + Cellular)

For other devices, please check MatthewPierson/checkm8-nonce-setter

— Mar 17, 2022